For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a new contact

Create a new customer contact

Required permissions: CUSTOMER,SALES_ORDER,RETURN_ORDER

post
/tenants/{tenantUid}/customer-contacts
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body

CustomerContactsCreateRequestSchema

firstnamestringRequired
lastnamestringRequired
emailstringOptional
mobilestringOptional
addressstringOptional
postalCodestringOptional
citystringOptional
customerContactUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201Success
application/json

CustomerContactResponseSchema

firstnamestringRequired
lastnamestringRequired
emailstringRequired
mobilestringRequired
addressstringRequired
postalCodestringRequired
citystringRequired
createdAtstring · date-timeRequired
lastModifiedAtstring · date-timeRequired
customerContactUidstringRequired
displayNamestringRequired
post/tenants/{tenantUid}/customer-contacts
POST /v2/tenants/{tenantUid}/customer-contacts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "address": "text",
  "postalCode": "text",
  "city": "text",
  "customerContactUid": "text",
  "customers": [
    {
      "customerUid": "text",
      "role": "ADMIN"
    }
  ]
}
201Success
{
  "firstname": "text",
  "lastname": "text",
  "email": "text",
  "mobile": "text",
  "address": "text",
  "postalCode": "text",
  "city": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "customerContactUid": "text",
  "displayName": "text",
  "customers": [
    {
      "customerUid": "text",
      "displayName": "text",
      "role": "ADMIN",
      "extensions": [
        {
          "extensionCode": "TWO_INVOICE",
          "organizationUid": "text"
        }
      ]
    }
  ]
}

Last updated

Was this helpful?